/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* .elementCalculateur,
.estimation {
	display:none!important;
} */

.estimationBtn {
  display: none !important;
}

@media all and (max-width: 767px) {
  .estimationBtn {
    display: block !important;
    margin-top: 50px !important;
  }

  .estimationBtn a {
    background: #1f2937;
    width: fit-content;
    margin: auto;
    padding: 14px 25px !important;
    color: white;
    border-radius: 8px;
    transition: scale 0.3s ease;
  }

  .estimationBtn a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
  }

  .estimationBtn a::before {
    content: '';
    position: relative;
    display: inline-block;
    background-image: url('https://demenagementdechoc.com/wp-content/uploads/2025/03/icone-estimation.svg');
    background-size: contain;
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
    opacity: 1 !important;
  }
}

@media all and (max-width: 1024px) {
  .heroSection {
    min-height: 80svh;
    margin-top: -69px;
  }
}

@media all and (max-width: 767px) {
  .heroSection {
    min-height: 100svh;
    margin-top: -52px;
  }
}

/*  */

* {
  scroll-behavior: smooth;
}

@keyframes fadeDown {
  from {
    opacity: 0;
    transform: translate3d(0, -30px, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}

.elementor-element.fadeInDown {
  animation-name: fadeDown;
}

@keyframes fadeLeft {
  from {
    opacity: 0;
    transform: translate3d(-30px, 0, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}

.elementor-element.fadeInLeft {
  animation-name: fadeLeft;
}

@keyframes fadeRight {
  from {
    opacity: 0;
    transform: translate3d(30px, 0, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}

.elementor-element.fadeInRight {
  animation-name: fadeRight;
}

@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translate3d(0, 30px, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}

.elementor-element.fadeInUp {
  animation-name: fadeUp;
}

@keyframes slideUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100px, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}

.elementor-element.slideInUp {
  animation-name: slideUp;
}

.wpml-ls-sub-menu li a,
.wpml-ls-native {
  font-family: 'KoHo', Sans-serif;
  font-size: 1rem;
  font-weight: 400;
  text-transform: uppercase;
  line-height: 1em;
  color: black;
}

.wpml-ls-sub-menu li a:hover span {
  color: var(--e-global-color-secondary);
}
